import * as smartstream from '@push.rocks/smartstream';
import * as smartpath from '@push.rocks/smartpath';

export const getAlpineImageReadableStream = async () => {
  const currentDir = smartpath.get.dirnameFromImportMetaUrl(import.meta.url);
  const imagePath = smartpath.join(currentDir, '../../.nogit/testfiles/alpine.tar');
  const readableStream = smartstream.nodewebhelpers.createWebReadableStreamFromFile(imagePath);
  return readableStream;
}