/**
 * a secretgroup is a set of secrets for different environments.
 */
import * as plugins from '../plugins.js';

@plugins.smartdata.Manager()
export class SecretGroup extends plugins.smartdata.SmartDataDbDoc<
  SecretGroup,
  plugins.servezoneInterfaces.data.ISecretGroup
> {
  // INSTANCE

  /**
   * the insatnce id. This should be a random id, except for default
   */
  @plugins.smartdata.unI()
  id: string;

  @plugins.smartdata.svDb()
  data: plugins.servezoneInterfaces.data.ISecretGroup['data'];
}
