import * as plugins from '../plugins.js';
import * as userInterfaces from '../data/user.js';

export interface IRequest_Any_Cloudly_GetCertificateForDomain
  extends plugins.typedrequestInterfaces.implementsTR<
    plugins.typedrequestInterfaces.ITypedRequest,
    IRequest_Any_Cloudly_GetCertificateForDomain
  > {
  method: 'getCertificateForDomain';
  request: {
    identity: userInterfaces.IIdentity;
    domainName: string;
    type: 'ssl';
  };
  response: {
    certificate: plugins.tsclass.network.ICert;
  };
}
