import * as plugins from '../plugins.js';

import * as certificateRequests from './certificate.js';
import * as clusterRequests from './cluster.js';
import * as configRequests from './config.js';
import * as identityRequests from './identity.js';
import * as imageRequests from './image.js';
import * as informRequests from './inform.js';
import * as logRequests from './log.js';
import * as networkRequests from './network.js';
import * as routingRequests from './routing.js';
import * as secretRequests from './secret.js';
import * as serverRequests from './server.js';
import * as statusRequests from './status.js';
import * as versionRequests from './version.js';

export {
  certificateRequests as certificate,
  clusterRequests as cluster,
  configRequests as config,
  identityRequests as identity,
  imageRequests as image,
  informRequests as inform,
  logRequests as log,
  networkRequests as network,
  routingRequests as routing,
  secretRequests as secret,
  serverRequests as server,
  statusRequests as status,
  versionRequests as version,
};

export * from './inform.js';